#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x93,0x71,0x4B,0x74,0x59,0xAE,0xD3,0x4A,0x46,0xF3,0x79,0x08,
		0x5D,0xEB,0xC1,0x6B,0x33,0x7D,0x48,0xE5,0xF7,0x66,0x20,0xCD,
		0x21,0x54,0x10,0x4C,0x0C,0x27,0x07,0x7D,0x04,0x65,0x73,0x20,
		0xAE,0xAC,0x8E,0x3E,0xDB,0x37,0xE4,0x7A,0xF7,0xF6,0x96,0x4E,
		0xEF,0xE6,0x50,0xCF,0x97,0x97,0xAC,0xEC,0x69,0x40,0xA6,0x6D,
		0x95,0xF0,0x1C,0x0B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
